source: src/libcfa/Makefile.in @ 89ce869

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglergc_noraiijacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since 89ce869 was 89ce869, checked in by Peter A. Buhr <pabuhr@…>, 6 years ago

prevent deletion of extensionless header files, third attempt

  • Property mode set to 100644
File size: 19.4 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83libcfa_a_AR = $(AR) $(ARFLAGS)
84libcfa_a_LIBADD =
85am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
86        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
87        rational.$(OBJEXT)
88am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
89libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
90DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
91depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
92am__depfiles_maybe = depfiles
93am__mv = mv -f
94COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
95        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
96CCLD = $(CC)
97LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
98SOURCES = $(libcfa_a_SOURCES)
99DIST_SOURCES = $(libcfa_a_SOURCES)
100DATA = $(cfalib_DATA)
101HEADERS = $(include_HEADERS)
102ETAGS = etags
103CTAGS = ctags
104DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
105ACLOCAL = @ACLOCAL@
106ALLOCA = @ALLOCA@
107AMTAR = @AMTAR@
108AUTOCONF = @AUTOCONF@
109AUTOHEADER = @AUTOHEADER@
110AUTOMAKE = @AUTOMAKE@
111AWK = @AWK@
112BACKEND_CC = @BACKEND_CC@
113CC = ${abs_top_srcdir}/src/driver/cfa
114CCDEPMODE = @CCDEPMODE@
115CFA_BACKEND_CC = @CFA_BACKEND_CC@
116CFA_BINDIR = @CFA_BINDIR@
117CFA_INCDIR = @CFA_INCDIR@
118CFA_LIBDIR = @CFA_LIBDIR@
119CFA_PREFIX = @CFA_PREFIX@
120CFLAGS = -g -Wall -Wno-unused-function -B${abs_top_srcdir}/src/driver -XCFA -t  # TEMPORARY: does not build with -O2
121CPP = @CPP@
122CPPFLAGS = @CPPFLAGS@
123CXX = @CXX@
124CXXDEPMODE = @CXXDEPMODE@
125CXXFLAGS = @CXXFLAGS@
126CYGPATH_W = @CYGPATH_W@
127DEFS = @DEFS@
128DEPDIR = @DEPDIR@
129ECHO_C = @ECHO_C@
130ECHO_N = @ECHO_N@
131ECHO_T = @ECHO_T@
132EGREP = @EGREP@
133EXEEXT = @EXEEXT@
134GREP = @GREP@
135INSTALL = @INSTALL@
136INSTALL_DATA = @INSTALL_DATA@
137INSTALL_PROGRAM = @INSTALL_PROGRAM@
138INSTALL_SCRIPT = @INSTALL_SCRIPT@
139INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
140LDFLAGS = @LDFLAGS@
141LEX = @LEX@
142LEXLIB = @LEXLIB@
143LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
144LIBOBJS = @LIBOBJS@
145LIBS = @LIBS@
146LTLIBOBJS = @LTLIBOBJS@
147MAINT = @MAINT@
148MAKEINFO = @MAKEINFO@
149MKDIR_P = @MKDIR_P@
150OBJEXT = @OBJEXT@
151PACKAGE = @PACKAGE@
152PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
153PACKAGE_NAME = @PACKAGE_NAME@
154PACKAGE_STRING = @PACKAGE_STRING@
155PACKAGE_TARNAME = @PACKAGE_TARNAME@
156PACKAGE_URL = @PACKAGE_URL@
157PACKAGE_VERSION = @PACKAGE_VERSION@
158PATH_SEPARATOR = @PATH_SEPARATOR@
159RANLIB = @RANLIB@
160SET_MAKE = @SET_MAKE@
161SHELL = @SHELL@
162STRIP = @STRIP@
163VERSION = @VERSION@
164YACC = @YACC@
165YFLAGS = @YFLAGS@
166abs_builddir = @abs_builddir@
167abs_srcdir = @abs_srcdir@
168abs_top_builddir = @abs_top_builddir@
169abs_top_srcdir = @abs_top_srcdir@
170ac_ct_CC = @ac_ct_CC@
171ac_ct_CXX = @ac_ct_CXX@
172am__include = @am__include@
173am__leading_dot = @am__leading_dot@
174am__quote = @am__quote@
175am__tar = @am__tar@
176am__untar = @am__untar@
177bindir = @bindir@
178build_alias = @build_alias@
179builddir = @builddir@
180datadir = @datadir@
181datarootdir = @datarootdir@
182docdir = @docdir@
183dvidir = @dvidir@
184exec_prefix = @exec_prefix@
185host_alias = @host_alias@
186htmldir = @htmldir@
187includedir = @includedir@
188infodir = @infodir@
189install_sh = @install_sh@
190libdir = @libdir@
191libexecdir = @libexecdir@
192localedir = @localedir@
193localstatedir = @localstatedir@
194mandir = @mandir@
195mkdir_p = @mkdir_p@
196oldincludedir = @oldincludedir@
197pdfdir = @pdfdir@
198prefix = @prefix@
199program_transform_name = @program_transform_name@
200psdir = @psdir@
201sbindir = @sbindir@
202sharedstatedir = @sharedstatedir@
203srcdir = @srcdir@
204sysconfdir = @sysconfdir@
205target_alias = @target_alias@
206top_build_prefix = @top_build_prefix@
207top_builddir = @top_builddir@
208top_srcdir = @top_srcdir@
209lib_LIBRARIES = libcfa.a
210
211# put into lib for now
212cfalibdir = ${libdir}
213cfalib_DATA = prelude.cf builtins.cf
214MAINTAINERCLEANFILES = ${addprefix ${libdir}/,${cfalib_DATA}} \
215        ${addprefix ${libdir}/,${lib_LIBRARIES}} ${includedir}/*
216headers = limits stdlib math iostream fstream iterator rational
217libobjs = ${headers:=.o}
218libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
219include_HEADERS = ${headers}
220CLEANFILES = libcfa-prelude.c
221all: all-am
222
223.SUFFIXES:
224.SUFFIXES: .c .o .obj
225$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
226        @for dep in $?; do \
227          case '$(am__configure_deps)' in \
228            *$$dep*) \
229              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
230                && { if test -f $@; then exit 0; else break; fi; }; \
231              exit 1;; \
232          esac; \
233        done; \
234        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
235        $(am__cd) $(top_srcdir) && \
236          $(AUTOMAKE) --foreign src/libcfa/Makefile
237.PRECIOUS: Makefile
238Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
239        @case '$?' in \
240          *config.status*) \
241            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
242          *) \
243            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
244            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
245        esac;
246
247$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
248        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
249
250$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
251        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
252$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
253        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
254$(am__aclocal_m4_deps):
255install-libLIBRARIES: $(lib_LIBRARIES)
256        @$(NORMAL_INSTALL)
257        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
258        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
259        list2=; for p in $$list; do \
260          if test -f $$p; then \
261            list2="$$list2 $$p"; \
262          else :; fi; \
263        done; \
264        test -z "$$list2" || { \
265          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
266          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
267        @$(POST_INSTALL)
268        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
269        for p in $$list; do \
270          if test -f $$p; then \
271            $(am__strip_dir) \
272            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
273            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
274          else :; fi; \
275        done
276
277uninstall-libLIBRARIES:
278        @$(NORMAL_UNINSTALL)
279        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
280        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
281        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
282
283clean-libLIBRARIES:
284        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
285libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
286        -rm -f libcfa.a
287        $(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
288        $(RANLIB) libcfa.a
289
290mostlyclean-compile:
291        -rm -f *.$(OBJEXT)
292
293distclean-compile:
294        -rm -f *.tab.c
295
296@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
297@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
298@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
299@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
300@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
301@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
302@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
303@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
304
305.c.o:
306@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
307@am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
308@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
309@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
310@am__fastdepCC_FALSE@   $(COMPILE) -c $<
311
312.c.obj:
313@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
314@am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
315@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
316@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
317@am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
318install-cfalibDATA: $(cfalib_DATA)
319        @$(NORMAL_INSTALL)
320        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
321        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
322        for p in $$list; do \
323          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
324          echo "$$d$$p"; \
325        done | $(am__base_list) | \
326        while read files; do \
327          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
328          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
329        done
330
331uninstall-cfalibDATA:
332        @$(NORMAL_UNINSTALL)
333        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
334        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
335        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
336install-includeHEADERS: $(include_HEADERS)
337        @$(NORMAL_INSTALL)
338        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
339        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
340        for p in $$list; do \
341          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
342          echo "$$d$$p"; \
343        done | $(am__base_list) | \
344        while read files; do \
345          echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
346          $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
347        done
348
349uninstall-includeHEADERS:
350        @$(NORMAL_UNINSTALL)
351        @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
352        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
353        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
354
355ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
356        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
357        unique=`for i in $$list; do \
358            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
359          done | \
360          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
361              END { if (nonempty) { for (i in files) print i; }; }'`; \
362        mkid -fID $$unique
363tags: TAGS
364
365TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
366                $(TAGS_FILES) $(LISP)
367        set x; \
368        here=`pwd`; \
369        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
370        unique=`for i in $$list; do \
371            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
372          done | \
373          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
374              END { if (nonempty) { for (i in files) print i; }; }'`; \
375        shift; \
376        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
377          test -n "$$unique" || unique=$$empty_fix; \
378          if test $$# -gt 0; then \
379            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
380              "$$@" $$unique; \
381          else \
382            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
383              $$unique; \
384          fi; \
385        fi
386ctags: CTAGS
387CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
388                $(TAGS_FILES) $(LISP)
389        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
390        unique=`for i in $$list; do \
391            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
392          done | \
393          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
394              END { if (nonempty) { for (i in files) print i; }; }'`; \
395        test -z "$(CTAGS_ARGS)$$unique" \
396          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
397             $$unique
398
399GTAGS:
400        here=`$(am__cd) $(top_builddir) && pwd` \
401          && $(am__cd) $(top_srcdir) \
402          && gtags -i $(GTAGS_ARGS) "$$here"
403
404distclean-tags:
405        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
406
407distdir: $(DISTFILES)
408        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
409        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
410        list='$(DISTFILES)'; \
411          dist_files=`for file in $$list; do echo $$file; done | \
412          sed -e "s|^$$srcdirstrip/||;t" \
413              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
414        case $$dist_files in \
415          */*) $(MKDIR_P) `echo "$$dist_files" | \
416                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
417                           sort -u` ;; \
418        esac; \
419        for file in $$dist_files; do \
420          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
421          if test -d $$d/$$file; then \
422            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
423            if test -d "$(distdir)/$$file"; then \
424              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
425            fi; \
426            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
427              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
428              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
429            fi; \
430            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
431          else \
432            test -f "$(distdir)/$$file" \
433            || cp -p $$d/$$file "$(distdir)/$$file" \
434            || exit 1; \
435          fi; \
436        done
437check-am: all-am
438check: check-am
439all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
440installdirs:
441        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
442          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
443        done
444install: install-am
445install-exec: install-exec-am
446install-data: install-data-am
447uninstall: uninstall-am
448
449install-am: all-am
450        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
451
452installcheck: installcheck-am
453install-strip:
454        if test -z '$(STRIP)'; then \
455          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
456            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
457              install; \
458        else \
459          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
460            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
461            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
462        fi
463mostlyclean-generic:
464
465clean-generic:
466        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
467
468distclean-generic:
469        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
470        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
471
472maintainer-clean-generic:
473        @echo "This command is intended for maintainers to use"
474        @echo "it deletes files that may require special tools to rebuild."
475        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
476clean: clean-am
477
478clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
479
480distclean: distclean-am
481        -rm -rf ./$(DEPDIR)
482        -rm -f Makefile
483distclean-am: clean-am distclean-compile distclean-generic \
484        distclean-tags
485
486dvi: dvi-am
487
488dvi-am:
489
490html: html-am
491
492html-am:
493
494info: info-am
495
496info-am:
497
498install-data-am: install-cfalibDATA install-includeHEADERS
499
500install-dvi: install-dvi-am
501
502install-dvi-am:
503
504install-exec-am: install-libLIBRARIES
505
506install-html: install-html-am
507
508install-html-am:
509
510install-info: install-info-am
511
512install-info-am:
513
514install-man:
515
516install-pdf: install-pdf-am
517
518install-pdf-am:
519
520install-ps: install-ps-am
521
522install-ps-am:
523
524installcheck-am:
525
526maintainer-clean: maintainer-clean-am
527        -rm -rf ./$(DEPDIR)
528        -rm -f Makefile
529maintainer-clean-am: distclean-am maintainer-clean-generic
530
531mostlyclean: mostlyclean-am
532
533mostlyclean-am: mostlyclean-compile mostlyclean-generic
534
535pdf: pdf-am
536
537pdf-am:
538
539ps: ps-am
540
541ps-am:
542
543uninstall-am: uninstall-cfalibDATA uninstall-includeHEADERS \
544        uninstall-libLIBRARIES
545
546.MAKE: install-am install-strip
547
548.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
549        clean-libLIBRARIES ctags distclean distclean-compile \
550        distclean-generic distclean-tags distdir dvi dvi-am html \
551        html-am info info-am install install-am install-cfalibDATA \
552        install-data install-data-am install-dvi install-dvi-am \
553        install-exec install-exec-am install-html install-html-am \
554        install-includeHEADERS install-info install-info-am \
555        install-libLIBRARIES install-man install-pdf install-pdf-am \
556        install-ps install-ps-am install-strip installcheck \
557        installcheck-am installdirs maintainer-clean \
558        maintainer-clean-generic mostlyclean mostlyclean-compile \
559        mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
560        uninstall-am uninstall-cfalibDATA uninstall-includeHEADERS \
561        uninstall-libLIBRARIES
562
563
564# create forward declarations for gcc builtins
565${libdir}/builtins.cf : ${libdir} ${srcdir}/builtins.cf
566        ${INSTALL} ${srcdir}/builtins.cf ${libdir}
567        sed -i -e "s#typedef.*ptrdiff_t.*#`@BACKEND_CC@ -E ${srcdir}/ptrdiff_t.c | grep 'typedef.*ptrdiff_t'`#" ${srcdir}/prelude.cf
568
569builtins.cf : builtins.c
570        @if [ -e $< ] ; then \
571                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
572        fi
573
574builtins.c : builtins.def prototypes.awk
575        @if [ -e $< ] ; then \
576                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
577        fi
578
579builtins.def :
580
581prototypes.awk :
582
583#--------------------------------------------------
584
585libcfa-prelude.c : ${srcdir}/prelude.cf
586        ${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
587
588libcfa-prelude.o : libcfa-prelude.c
589        @BACKEND_CC@ -c -o $@ $<
590
591# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
592% : %.c
593        @true
594
595${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp       # add dependency to cfa-cpp so all libraries are rebuilt with new translator
596
597# Tell versions [3.59,3.63) of GNU make to not export all variables.
598# Otherwise a system limit (for SysV at least) may be exceeded.
599.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.